#!/bin/bash
if [ ! -d "$HOME/PRG" ]; then
  sudo mkdir $HOME/PRG
fi
if [ ! -d "$HOME/PRG/Prisma" ]; then
  sudo mkdir $HOME/PRG/Prisma
fi
if [ ! -d "$HOME/PRG/Prisma/Config" ]; then
  sudo mkdir $HOME/PRG/Prisma/Config
fi

if [ ! -f "$HOME/PRG/Config/sistema.sdb" ]; then
  sudo cp -a ./Config/sistema.sdb $HOME/PRG/Prisma/Config/sistema.sdb
fi
if [ ! -f "$HOME/PRG/Config/aziende.sdb" ]; then
  sudo cp -a ./Config/aziende.sdb $HOME/PRG/Prisma/Config/aziende.sdb
fi
if [ ! -f "$HOME/PRG/Config/esercizi.sdb" ]; then
  sudo cp -a ./Config/esercizi.sdb $HOME/PRG/Prisma/Config/esercizi.sdb
fi
sudo cp -R ./Bin $HOME/PRG/Prisma/
sudo cp -R ./Dati $HOME/PRG/Prisma/
sudo cp -R ./Help $HOME/PRG/Prisma/
sudo cp -R ./icone $HOME/PRG/Prisma/
sudo cp -R ./EsercizioBase $HOME/PRG/Prisma/
sudo cp -ax  Prisma $HOME/PRG/Prisma/
sudo cp -ax Prisma.sh $HOME/PRG/Prisma/
sudo cp Prisma.png $HOME/PRG/Prisma/
sudo cp -ax Uninstall.sh $HOME/PRG/Prisma/
sudo mkdir /opt/Prisma
sudo cp Prisma.sh /opt/Prisma/
sudo cp Prisma.png /opt/Prisma/
#sudo cp Prisma.desktop /usr/share/applications/
sudo cp Prisma.desktop $HOME/.local/share/applications/
sudo chown -R $USER:$USER $HOME/PRG/Prisma
sudo chown -R $USER:$USER /opt/Prisma
sudo apt install sqlite3  
sudo apt install libsqlite3-dev 
sudo cp -ax Prisma.desktop $HOME/Scrivania/
exit 0
